### Class

# Meta StartupSequence

#### Description

    final class Meta.StartupSequence : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### meta_startup_sequence_complete

No description available.

###### meta_startup_sequence_get_application_id

Get the application id of the startup sequence.

###### meta_startup_sequence_get_completed

No description available.

###### meta_startup_sequence_get_icon_name

Get the icon name of the startup sequence.

###### meta_startup_sequence_get_id

No description available.

###### meta_startup_sequence_get_name

No description available.

###### meta_startup_sequence_get_timestamp

No description available.

###### meta_startup_sequence_get_wmclass

Get the wmclass of the startup sequence.

###### meta_startup_sequence_get_workspace

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.StartupSequence:application-id

No description available.

###### Meta.StartupSequence:display

No description available.

###### Meta.StartupSequence:icon-name

No description available.

###### Meta.StartupSequence:id

No description available.

###### Meta.StartupSequence:name

No description available.

###### Meta.StartupSequence:timestamp

No description available.

###### Meta.StartupSequence:wmclass

No description available.

###### Meta.StartupSequence:workspace

No description available.

#### Signals

###### Meta.StartupSequence::complete

No description available.

###### Meta.StartupSequence::timeout

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaStartupSequenceClass {
      /* no available fields */
    }

No description available.